summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-06-17 08:03:23 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-06-17 08:03:23 +0000
commitea2f4386f269c7dafe96753c0cfa00bc5258d97e (patch)
treeff243084ecbbb0c121b2d4d8222fd22a51021ff6 /dev-python
parentc79d048ee4dec7c44485bab210f42aaeef985b12 (diff)
downloadbaldeagleos-repo-ea2f4386f269c7dafe96753c0cfa00bc5258d97e.tar.gz
baldeagleos-repo-ea2f4386f269c7dafe96753c0cfa00bc5258d97e.tar.xz
baldeagleos-repo-ea2f4386f269c7dafe96753c0cfa00bc5258d97e.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/alembic/Manifest1
-rw-r--r--dev-python/alembic/alembic-1.16.2.ebuild46
-rw-r--r--dev-python/bandit/Manifest1
-rw-r--r--dev-python/bandit/bandit-1.8.5.ebuild41
-rw-r--r--dev-python/blockbuster/blockbuster-1.5.24.ebuild2
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.38.37.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.38.37.ebuild67
-rw-r--r--dev-python/cachetools/Manifest1
-rw-r--r--dev-python/cachetools/cachetools-6.1.0.ebuild21
-rw-r--r--dev-python/fakeredis/Manifest1
-rw-r--r--dev-python/fakeredis/fakeredis-2.30.0.ebuild89
-rw-r--r--dev-python/forbiddenfruit/forbiddenfruit-0.1.4.ebuild2
-rw-r--r--dev-python/isal/isal-1.7.2.ebuild2
-rw-r--r--dev-python/jaraco-logging/Manifest1
-rw-r--r--dev-python/jaraco-logging/jaraco-logging-3.4.0.ebuild38
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild6
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/mypy/Manifest1
-rw-r--r--dev-python/mypy/mypy-1.16.1.ebuild126
-rw-r--r--dev-python/narwhals/Manifest3
-rw-r--r--dev-python/narwhals/narwhals-1.41.1.ebuild36
-rw-r--r--dev-python/narwhals/narwhals-1.43.0.ebuild (renamed from dev-python/narwhals/narwhals-1.42.0.ebuild)2
-rw-r--r--dev-python/owslib/Manifest1
-rw-r--r--dev-python/owslib/owslib-0.34.1.ebuild46
-rw-r--r--dev-python/pdm/Manifest2
-rw-r--r--dev-python/pdm/pdm-2.25.2.ebuild (renamed from dev-python/pdm/pdm-2.25.0.ebuild)0
-rw-r--r--dev-python/pymongo/Manifest1
-rw-r--r--dev-python/pymongo/pymongo-4.13.2.ebuild202
-rw-r--r--dev-python/test2ref/Manifest1
-rw-r--r--dev-python/test2ref/metadata.xml11
-rw-r--r--dev-python/test2ref/test2ref-1.1.0.ebuild34
-rw-r--r--dev-python/translate-toolkit/Manifest1
-rw-r--r--dev-python/translate-toolkit/translate-toolkit-3.15.5.ebuild126
-rw-r--r--dev-python/zlib-ng/zlib-ng-0.5.1.ebuild2
38 files changed, 929 insertions, 65 deletions
diff --git a/dev-python/alembic/Manifest b/dev-python/alembic/Manifest
index a404e34d5889..623c6bc77244 100644
--- a/dev-python/alembic/Manifest
+++ b/dev-python/alembic/Manifest
@@ -1 +1,2 @@
DIST alembic-1.16.1.tar.gz 1955006 BLAKE2B 69c29af02825c691511075c6cda81a98bb065a35ae07d7b0fc0817148d6c6caeb8c8a126474469991a2b0042cfce95e7b5c863468db95c6bd998f5c0dc850dc2 SHA512 e821ec547686f93cad49468559d68399f4abd8288170491f626b93b160d01370867b7b14a6bf28983189757edfdaae396118f7ab11f7d4e24ff61aee305fab67
+DIST alembic-1.16.2.tar.gz 1963563 BLAKE2B 5a2fd7a1413b6b8f5c30a8dd28e3eb9fb503fdb9cf7e74f33d8a17e2874cdd7c1e174c0d89764d6a5a7007bf55209419e076fb535c9a77f87a51eccfe1935c0e SHA512 1d8bf5b05fb94dcc2093b4bb8ca73cc3f5ac28d3aea46d7b4318d98bbae8468ca474a86c7203a64d6d4472c3f2f94e1b83a5bcd9d33c41e481fb304ef1592fbd
diff --git a/dev-python/alembic/alembic-1.16.2.ebuild b/dev-python/alembic/alembic-1.16.2.ebuild
new file mode 100644
index 000000000000..70ebc9722605
--- /dev/null
+++ b/dev-python/alembic/alembic-1.16.2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Database migrations tool, written by the author of SQLAlchemy"
+HOMEPAGE="
+ https://github.com/sqlalchemy/alembic/
+ https://pypi.org/project/alembic/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+IUSE="doc"
+
+RDEPEND="
+ >=dev-python/sqlalchemy-1.4.0[${PYTHON_USEDEP}]
+ dev-python/mako[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.12[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ sys-libs/timezone-data
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ # setup.cfg contains -p no:warnings in addopts which triggers
+ # datetime.utcfromtimestamp() deprecation warning as an error in py3.12
+ epytest -o addopts=
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/. )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/bandit/Manifest b/dev-python/bandit/Manifest
index 4d6d8144b330..9d5c1fa2966f 100644
--- a/dev-python/bandit/Manifest
+++ b/dev-python/bandit/Manifest
@@ -1 +1,2 @@
DIST bandit-1.8.3.tar.gz 4232005 BLAKE2B 3cfed934d59ac4614b0bfd50348983fa48a8a0346b5c06e0497e5ab5e0807c79e41b046b74880d5e26feba19029b10764d90d9cc8462b561ff04e8f5fd7f7b51 SHA512 50f2ee3f39c2991f030790674e7d25337dac9a4cd0d83d2b76e3152fc3833fb9d8228c347347d3558795b50c2973b825b9e8ab9546ccf6fec60f4f5fbd8ededc
+DIST bandit-1.8.5.tar.gz 4237566 BLAKE2B 6ae1647ec3dd1a54f04e0f8140bf408b034bf7f5ddc32615a4df8611d53219f6623c1bc65a8f242fbdced67b17f215e9e5de028b63d77f3839909bcb8fd01aa9 SHA512 04f6c6362b54973b9b0b8958331dec60ee22544e7a297230575f31db7cbacd5bcfaa56330cb7eff954f666384a0eaff67244485672739c3db76d9a18e5a106b7
diff --git a/dev-python/bandit/bandit-1.8.5.ebuild b/dev-python/bandit/bandit-1.8.5.ebuild
new file mode 100644
index 000000000000..dc804ee6267b
--- /dev/null
+++ b/dev-python/bandit/bandit-1.8.5.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A security linter from OpenStack Security"
+HOMEPAGE="
+ https://github.com/PyCQA/bandit/
+ https://pypi.org/project/bandit/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/gitpython-3.1.30[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.3.1[${PYTHON_USEDEP}]
+ dev-python/rich[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/beautifulsoup4-4.8.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jschema-to-python-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/pylint-1.9.4[${PYTHON_USEDEP}]
+ >=dev-python/sarif-om-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.3.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/blockbuster/blockbuster-1.5.24.ebuild b/dev-python/blockbuster/blockbuster-1.5.24.ebuild
index d3374594e9b8..ddc6692822e0 100644
--- a/dev-python/blockbuster/blockbuster-1.5.24.ebuild
+++ b/dev-python/blockbuster/blockbuster-1.5.24.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~mips ~riscv ~s390 ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~mips ~riscv ~s390 ~x86"
RDEPEND="
$(python_gen_cond_dep '
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 0a730a5babae..1ca08835c025 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,3 +1,4 @@
DIST boto3-1.38.27.gh.tar.gz 948453 BLAKE2B 4f775c14a439b4ca204d6728a7b077ed901e9b92f395871b05e9de29e5ce82ac2ab179f4c1914b3d52627b77a5fae136ad003bbeb2d1460597f9fb7b4a1ab93d SHA512 27ab3c3453b16649d58d6ee11ef62abd6e302889b0dc46067e4370af1e9fb4d75292886471f7c7fb530707c226ae78c42d0268d8cd9730fd27ad72ef1fb69d45
DIST boto3-1.38.32.gh.tar.gz 952265 BLAKE2B a753ca5547a44cb8e163bb90b8446ebf535de5cdba95de5034aa6b196c3db8292afe6fe90e01fd1831fb3599b555779abddfd6ea7f07e406864dc70459dc9653 SHA512 6f81b22588e7de521c47b5621f85f69d50516c2b1f741f1dcc0641f3d57f2c7cf4cd40e833a911639b25ce08506eb1def013b0acd8ad50f5c196b894411e5dc0
DIST boto3-1.38.36.gh.tar.gz 954319 BLAKE2B 9c0f54169c7cd186922c7d2f0dcab9219b5b9c8e983ca59a086cfcdc91bb0308a5c4f97cf191499820820c5e80f0a81faa97b5f57034244a04c4966455e9de55 SHA512 158200e740644d3804328c4892b37ce0de477cd80bea5bef4e1875cd97c6949f07595fda94f1c1f0b3428d909d83f9cca1478801cbcd6f6ea991d7715683437f
+DIST boto3-1.38.37.gh.tar.gz 955163 BLAKE2B 9d7c7ca80492a55336647b4b882820f6798a457fbdad4e68447855ba76c710dbdcc6a0653b46dfdee58c6ac9241e4ac47bcc1b28d8777cc0c172cffedfb26c14 SHA512 8ff2c7238e51fcb979a5411208e4202efeb285caa96be97970a3dbac954475bc9867572bf3592f63e5bba1c49db3c452aa5fb07f063d7e3b9beb6414f5be5656
diff --git a/dev-python/boto3/boto3-1.38.37.ebuild b/dev-python/boto3/boto3-1.38.37.ebuild
new file mode 100644
index 000000000000..0e521ede0704
--- /dev/null
+++ b/dev-python/boto3/boto3-1.38.37.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.13.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 396102c2de9d..a3c8a75599a4 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,3 +1,4 @@
DIST botocore-1.38.27.gh.tar.gz 14666017 BLAKE2B 7527044c1b9586ac39b7cdaf1c51e6e263d3021015023e370a2ef30c600f33efd8e37697982148a99d56ec2e817b564f8c66cb75c1e8bd807858aad38fd6dab5 SHA512 2bc66dc805c610f96f52a8fbd716767dc0084f3d35517cc6c54d45a85330cb74c77becef234b323a72b9a9273211febb2604975fc2dbfaff3a51449123e6ad64
DIST botocore-1.38.32.gh.tar.gz 14700669 BLAKE2B c88446a3fc16de58f0d52fa3ff6f345908951039d16e4616dcd3e918e7c2affd1aab48bc112acf1ad49f253eba4dcedaf01c336ed2eb5d2dcd0e7f35b67cd6a1 SHA512 2222c6b043274cfdae516f11bfe0f4281265a851f2cc187dbcaa7064bb6913bf44cdf3a782c5760af1187944a2f123ffc510e412ede6428e97cc2317e0829648
DIST botocore-1.38.36.gh.tar.gz 14720436 BLAKE2B fe5b58bba65c55b4ace04b5fa88de6fcc8c47e4c5de4ff1ef9c6c24554d40ce5f8b93bddbc837621231c5324a12db1682f554d290a345e898e3646ccf0e48ae1 SHA512 e941f02b1117e8f2690f9d4355a3dc0138e88db007b76325fe55cd4b41c0fcbc2f9b306bb1c5c49ef02c56926eab82d6469c6761c164d16678963091ab9d925a
+DIST botocore-1.38.37.gh.tar.gz 14724206 BLAKE2B 25f1ad806e6652a3ac0d257912580fffc28475ff6b398d9b61a3e7c1ae98498ee1ef33a851e78a4504bafcfb1b84b96d28201c27f9bcf46b9cb7c3e427ba210e SHA512 0107bf62650dc865fce053e828c4ee7d6851d13e16f1039f145fd8b3e964eaa70ef7135185f857ae5db31cdd1f6117fc4141c626e603d32b94527298d7974139
diff --git a/dev-python/botocore/botocore-1.38.37.ebuild b/dev-python/botocore/botocore-1.38.37.ebuild
new file mode 100644
index 000000000000..be6df9120cc8
--- /dev/null
+++ b/dev-python/botocore/botocore-1.38.37.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/cachetools/Manifest b/dev-python/cachetools/Manifest
index 608c243d4fd6..c9f033a5426a 100644
--- a/dev-python/cachetools/Manifest
+++ b/dev-python/cachetools/Manifest
@@ -1,2 +1,3 @@
DIST cachetools-5.5.2.tar.gz 28380 BLAKE2B ff0f838bdcf3ff29a466829a34e80c83a0d15763039bc9d81e254daf150bbd39a42a04b4541be06d7beaa938561a1d35646a83eb22474baccd33479d5a56b53e SHA512 9969eb5ca092174975a79e664594842b4ae4f671bc17ae3e3d2d286b164eb408af254d6b40358dcbe5e4341fc6a0ef928e192eb1432696ed7654729062555a29
DIST cachetools-6.0.0.tar.gz 30160 BLAKE2B c0d5715f75ccb787463b7bf8ab02e0d8d10160f7e1b9aa9874f226d1ff0af95eb9f81bfcbd45b7568e8ce05d29c114529ae7c1bb61c2f3327c7e405870453041 SHA512 881bbfede550fe6366eb69274e50156cf6f0a6d3cce9bc7542a4ca36044d3a9b9520aa547fcc173d518f6007c7b4c48d492fecb9d6663233d3d0ee9473f8aa53
+DIST cachetools-6.1.0.tar.gz 30714 BLAKE2B 2bd62c6f783bffe34c10df9beddbfcc5f7018769c3c0e21ff8c4e3e8a808bef2fae5acfc5cdf1d1d1d0b85311bb3aed5f113506cacd91b84cc3e3172af558db9 SHA512 679696ac6d09ab1dffcce72c141b307dc5f3e8783ce8dd2603854d2c39dfa99ebc5911950a3421a4e80fb92279361ffdd648ad37fecbf42eecf9756e949ef910
diff --git a/dev-python/cachetools/cachetools-6.1.0.ebuild b/dev-python/cachetools/cachetools-6.1.0.ebuild
new file mode 100644
index 000000000000..6227509adae7
--- /dev/null
+++ b/dev-python/cachetools/cachetools-6.1.0.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Extensible memoizing collections and decorators"
+HOMEPAGE="
+ https://github.com/tkem/cachetools/
+ https://pypi.org/project/cachetools/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+distutils_enable_tests pytest
diff --git a/dev-python/fakeredis/Manifest b/dev-python/fakeredis/Manifest
index 0f147744f0a7..56510ce8e212 100644
--- a/dev-python/fakeredis/Manifest
+++ b/dev-python/fakeredis/Manifest
@@ -1 +1,2 @@
DIST fakeredis-2.29.0.tar.gz 162915 BLAKE2B d2851fefb9fd80d0038bb237d261dbc125035782c1bfcd8d91345a4a2a38423c4972b0803484459baeb09cfd0acaf34559e31fc772cb6e36432068c63027a29a SHA512 721e0f508c6b18413dfeaa5caa1ad12f3b9a63d89f7a535a7dc70f1b69f745f08f26782d73bf681eab578e99504cd14d08b8d639dc6b88b4ae0db5151f3e7b3a
+DIST fakeredis-2.30.0.tar.gz 167434 BLAKE2B 7aad6a98edd9dc27e730e54c5f09d230ea9c2ebe1ac6e6c58faefb1dcddf291ae879b68355f6a2b860be68e56a8d92fd343bc9b2f1c0e8c3d4ebbecf3877f24e SHA512 61a5d01cb029495a9095f36a8b459ca289f37600bd1237c8d0055f7fa21f8122e535a7e4cbeabcba3def35e1a638438dc68a63e9c94155962a3f8e5303acb37f
diff --git a/dev-python/fakeredis/fakeredis-2.30.0.ebuild b/dev-python/fakeredis/fakeredis-2.30.0.ebuild
new file mode 100644
index 000000000000..af36ef6eaa94
--- /dev/null
+++ b/dev-python/fakeredis/fakeredis-2.30.0.ebuild
@@ -0,0 +1,89 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fake implementation of redis API for testing purposes"
+HOMEPAGE="
+ https://github.com/cunla/fakeredis-py/
+ https://pypi.org/project/fakeredis/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/redis-4.3[${PYTHON_USEDEP}]
+ <dev-python/sortedcontainers-3[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+# pytest-xdist: tests are not parallel-safe
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # also lupa
+ test/test_aioredis2.py::test_failed_script_error
+ # TODO
+ "test/test_mixins/test_pubsub_commands.py::test_pubsub_channels[StrictRedis2]"
+ "test/test_mixins/test_pubsub_commands.py::test_pubsub_channels[StrictRedis3]"
+ "test/test_mixins/test_pubsub_commands.py::test_published_message_to_shard_channel[StrictRedis3]"
+ test/test_mixins/test_set_commands.py::test_smismember_wrong_type
+ "test/test_mixins/test_pubsub_commands.py::test_pubsub_shardnumsub[StrictRedis2]"
+ "test/test_mixins/test_pubsub_commands.py::test_pubsub_shardnumsub[StrictRedis3]"
+ # json ext
+ test/test_json/test_json.py
+ test/test_json/test_json_arr_commands.py
+ # require event_loop fixture removed in >=dev-python/pytest-asyncio-1
+ # (no point in pinning for two tests)
+ test/test_asyncredis.py::test_pubsub
+ test/test_asyncredis.py::test_blocking_unblock
+ )
+ local EPYTEST_IGNORE=(
+ # these tests fail a lot...
+ test/test_hypothesis
+ test/test_hypothesis_joint.py
+ )
+ local args=(
+ # tests requiring lupa (lua support)
+ -k 'not test_eval and not test_lua and not test_script'
+ )
+ # Note: this package is not xdist-friendly
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p asyncio -p pytest_mock "${args[@]}"
+}
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6390
+
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+ daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1
+ EOF
+
+ # Run the tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
diff --git a/dev-python/forbiddenfruit/forbiddenfruit-0.1.4.ebuild b/dev-python/forbiddenfruit/forbiddenfruit-0.1.4.ebuild
index 006d0d6fca7c..015e1b453a88 100644
--- a/dev-python/forbiddenfruit/forbiddenfruit-0.1.4.ebuild
+++ b/dev-python/forbiddenfruit/forbiddenfruit-0.1.4.ebuild
@@ -19,7 +19,7 @@ HOMEPAGE="
LICENSE="|| ( GPL-3 MIT )"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~mips ~riscv ~s390 ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~mips ~riscv ~s390 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/isal/isal-1.7.2.ebuild b/dev-python/isal/isal-1.7.2.ebuild
index 210d50761094..603f9d8989b7 100644
--- a/dev-python/isal/isal-1.7.2.ebuild
+++ b/dev-python/isal/isal-1.7.2.ebuild
@@ -25,7 +25,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="PSF-2"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~riscv ~s390 ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~riscv ~s390 ~x86"
DEPEND="
dev-libs/isa-l:=
diff --git a/dev-python/jaraco-logging/Manifest b/dev-python/jaraco-logging/Manifest
index ebc159c91d92..c13be5f7bfb0 100644
--- a/dev-python/jaraco-logging/Manifest
+++ b/dev-python/jaraco-logging/Manifest
@@ -1 +1,2 @@
DIST jaraco.logging-3.3.0.tar.gz 9082 BLAKE2B 8dadd0ef5c13fda35c580a4ff4fb011d35f28461471f353efe1211240e5bac52419bb1d7a6034db3d46c1bb0a73654ded5f50b296b3c5f16e821588d445e597f SHA512 edb0ce89420a05d0f0634b3486b831e01a51e9a8e186afc3a496013c4326aeb3f67f5492900de8991e18faf171ae1785eda60b0523da7065da9fdb0a2fa10a5d
+DIST jaraco_logging-3.4.0.tar.gz 10368 BLAKE2B 9b4a1d0a783226894b3bcdbecddd8c91602c3457a1ce6e7b59ff460b9811bdabf33d90f7b5de284c3dc8d9cb80009f8514b887f7c7624b1ec43658a643a2b9f0 SHA512 3b2dfb85539e4a24bcf7db927b20922fd3c23565a92a93347983f9c9604b205c2aa90bea5c7e2c7bf9fd920887e86220a3b7cf6730531844aab66b73ebaf9593
diff --git a/dev-python/jaraco-logging/jaraco-logging-3.4.0.ebuild b/dev-python/jaraco-logging/jaraco-logging-3.4.0.ebuild
new file mode 100644
index 000000000000..5a1572c370c3
--- /dev/null
+++ b/dev-python/jaraco-logging/jaraco-logging-3.4.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Additional facilities to supplement Python's stdlib logging module"
+HOMEPAGE="
+ https://github.com/jaraco/jaraco.logging/
+ https://pypi.org/project/jaraco.logging/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/tempora[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools-scm-1.15.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # create a pkgutil-style __init__.py in order to fix pytest's
+ # determination of package paths
+ cat > jaraco/__init__.py <<-EOF || die
+ __path__ = __import__("pkgutil").extend_path(__path__, __name__)
+ EOF
+ epytest --doctest-modules
+}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..d12ab8aeaca8 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9cd8a2a93a8d45bf51fe2324402b175d641762ea591fcb99459427f977a95eccffa6ca4777ca4df39814eea6eac62711567faa654456d32f79023a4685804504 SHA512 d973b85ba1a44389a4275f02a779a93a005f7c2e096467b94b072862e4984d5b42cf33f9821ac68aa5b85b12c98983a90b96049989d8c84497969174b6bb838e
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
deleted file mode 100644
index 637368d2f237..000000000000
--- a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
-
---- a/setup.py
-+++ b/setup.py
-@@ -18,7 +18,7 @@ setup(
- author_email='michal.danilak@gmail.com',
- url='https://github.com/Mimino666/langdetect',
- keywords='language detection library',
-- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
-+ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
- include_package_data=True,
- install_requires=['six'],
- license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 99577c43fc3e..56733bbffc48 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,9 +1,9 @@
-# Copyright 2022-2024 Gentoo Authors
+# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
DISTUTILS_USE_PEP517=setuptools
inherit distutils-r1 pypi
@@ -19,6 +19,4 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
-
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index c0f74ac187e2..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,9 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>pastalian46@gmail.com</email>
- <name>Takuya Wakazono</name>
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
</maintainer>
-
- <origin>gentoo-guru-overlay</origin>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/mypy/Manifest b/dev-python/mypy/Manifest
index 5d999ddee624..fc91a144a164 100644
--- a/dev-python/mypy/Manifest
+++ b/dev-python/mypy/Manifest
@@ -1,2 +1,3 @@
DIST mypy-1.15.0.gh.tar.gz 3256122 BLAKE2B e2e5a047246a9898f3a7f406fa06bcd106fa0cfa776c3d2f785c7eec059f67405eaaee97ed40ecc161bb897e6baad1b5f2700cce07eaaadfd1330409b0e58185 SHA512 dac0c91749215f0ed2a29794665b26b047f9ab918ec387632c2e509308e2051aada6856dbdc7b001a4f3090c0e1b2b4f129f780b64c378997df4d78233065efa
DIST mypy-1.16.0.gh.tar.gz 3339707 BLAKE2B 6c5509fe02b81d86af74975f5804d6fe19b9dbebefe551ef35f52758b9c4eb2a7ca538c68625ce006fc74836beaabee71cb3e12416b5f6bf3589bf96994497a0 SHA512 248ac67c1899c543cb5e60fc00a95299dcf11f538b7491f27750477c28942ac869e2a207d9e3ea4ddf33b0a16363137bd8e7b0bd2bb729c82955d0af10ec91be
+DIST mypy-1.16.1.gh.tar.gz 3340652 BLAKE2B b602a9f7cdacc9cd939f8232261a00059facd99983b8440104c33d30bb8dd173655decd8b1fae7013f085b641155fd51b138a0c488cda5219d5d55e0379bccd8 SHA512 7d14ea3500f97223c128b07df3dce77c34a4e9913f4dc4b623f9b6f6ba0384d566ef2987bdbf8febcbb12e9d8845f26e53c2f098b513180647156f702c1a6d09
diff --git a/dev-python/mypy/mypy-1.16.1.ebuild b/dev-python/mypy/mypy-1.16.1.ebuild
new file mode 100644
index 000000000000..f3c6cb397926
--- /dev/null
+++ b/dev-python/mypy/mypy-1.16.1.ebuild
@@ -0,0 +1,126 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Optional static typing for Python"
+HOMEPAGE="
+ https://www.mypy-lang.org/
+ https://github.com/python/mypy/
+ https://pypi.org/project/mypy/
+"
+SRC_URI="
+ https://github.com/python/mypy/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="+native-extensions"
+
+# stubgen collides with this package: https://bugs.gentoo.org/585594
+RDEPEND="
+ !dev-util/stubgen
+ >=dev-python/pathspec-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/psutil-4[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.6.0[${PYTHON_USEDEP}]
+ >=dev-python/mypy-extensions-1.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ native-extensions? (
+ ${RDEPEND}
+ dev-python/types-psutil[${PYTHON_USEDEP}]
+ dev-python/types-setuptools[${PYTHON_USEDEP}]
+ )
+ test? (
+ >=dev-python/attrs-18.0[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.9.1[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+# frustratingly, mypyc produces non-deterministic output. If ccache is enabled it will be a waste of time,
+# but simultaneously it might trash your system and fill up the cache with a giant wave of non-reproducible
+# test files (https://github.com/mypyc/mypyc/issues/1014)
+export CCACHE_DISABLE=1
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.14.0-no-werror.patch
+)
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # don't force pytest-xdist, in case user asked for EPYTEST_JOBS=1
+ sed -i -e '/addopts/s:-nauto::' pyproject.toml || die
+}
+
+python_compile() {
+ local -x MYPY_USE_MYPYC=$(usex native-extensions 1 0)
+ distutils-r1_python_compile
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # the majority of them require Internet (via pip)
+ mypy/test/testpep561.py
+ # known broken with assertions enabled
+ # https://github.com/python/mypy/issues/16043
+ mypyc/test/test_external.py::TestExternal::test_c_unit_test
+ mypyc/test/test_run.py::TestRun::run-classes.test::testDelException
+ mypyc/test/test_run.py::TestRun::run-floats.test::testFloatOps
+ mypyc/test/test_run.py::TestRun::run-i64.test::testI64GlueMethodsAndInheritance
+ mypyc/test/test_run.py::TestRunStrictDunderTyping::run-floats.test::testFloatOps_dunder_typing
+ # these assume that types-docutils are not installed
+ mypy/test/testpythoneval.py::PythonEvaluationSuite::pythoneval.test::testIgnoreImportIfNoPython3StubAvailable
+ mypy/test/testpythoneval.py::PythonEvaluationSuite::pythoneval.test::testNoPython3StubAvailable
+ # TODO
+ mypy/test/meta/test_parse_data.py
+ mypy/test/meta/test_update_data.py
+ )
+ case ${EPYTHON} in
+ python3.13)
+ ;&
+ python3.12)
+ EPYTEST_DESELECT+=(
+ # more assertions, sigh
+ mypyc/test/test_run.py::TestRun::run-async.test::testRunAsyncMiscTypesInEnvironment
+ mypyc/test/test_run.py::TestRun::run-bools.test::testBoolOps
+ mypyc/test/test_run.py::TestRun::run-i64.test::testI64BasicOps
+ mypyc/test/test_run.py::TestRun::run-i64.test::testI64DefaultArgValues
+ mypyc/test/test_run.py::TestRun::run-i64.test::testI64ErrorValuesAndUndefined
+ )
+ ;;
+ esac
+
+ # Some mypy/test/testcmdline.py::PythonCmdlineSuite tests
+ # fail with high COLUMNS values
+ local -x COLUMNS=80
+
+ # The tests depend on having in-source compiled extensions if you want to
+ # test those compiled extensions. Various crucial test dependencies aren't
+ # installed. Even pyproject.toml is needed because that's where pytest args
+ # are in. Hack them into the build directory and delete them afterwards.
+ # See: https://github.com/python/mypy/issues/16143
+ local -x MYPY_TEST_PREFIX="${S}"
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ cp -r "${S}"/{conftest.py,pyproject.toml} . || die
+
+ local failed=
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ nonfatal epytest || failed=1
+
+ rm conftest.py pyproject.toml || die
+
+ [[ ${failed} ]] && die "epytest failed with ${EPYTHON}"
+}
diff --git a/dev-python/narwhals/Manifest b/dev-python/narwhals/Manifest
index 754a0a58545d..7a5eb842c7c5 100644
--- a/dev-python/narwhals/Manifest
+++ b/dev-python/narwhals/Manifest
@@ -1,3 +1,2 @@
-DIST narwhals-1.41.1.tar.gz 489404 BLAKE2B 001529ab92af6cdaaf84b65621a371ff5290e5eb3285e4a1e09014e0a4e1d9c3c757b01136ea9b88a445283cf4aa48a3c07b76094923cce091bb0117aa28c503 SHA512 a9cce0aaea480d0514d71c881cd4396490111554e0b29228426fb30588884cb5e73e3f02831d4e957c7d5b02e8ff39be5ca7ea7065a576864b5ccd5aecaaadb0
-DIST narwhals-1.42.0.tar.gz 490671 BLAKE2B 8d0671d22c79598e5be41f986f87ba002a16fefe2fd63bd88b68c97c253ffbf5988ffa40851899653241280d167f6fcdcdc0e4384e053c05cfad2cedd4d09ca7 SHA512 3fc574a04ae57220ddd90eca39ce729f022cb0d24170684e35dc3b80ebd2aeb6317a915c75f819a4fe52f60eb06c1c6eb84ae3e7e39c54c627a0e07573e3e3a3
DIST narwhals-1.42.1.tar.gz 492865 BLAKE2B ed0d0defe48bad75e711ab49914fe2802d56fc625535971bf7aeaab97612b19e79e517ae86a0211a111235653d35729a92d3d13ac0b70f24c7756944bb509104 SHA512 3c81713c78bf8e656e2dfad20433298dc96cbd7e157678c6f076653d9f35035db95506229e2d2ea9f43867a926ab5fa65f6217348049a9b5f382b9363ea647cb
+DIST narwhals-1.43.0.tar.gz 496455 BLAKE2B c9c22ce77f202711eebfb2628a2828bc0498bad786b7080955860b3e08f2ee344368ab13a32d0c517ce0a826e36ac2b2a2749feedc815f694f241253ea0ae80b SHA512 3a1f85261f11b37b7da16c56fa3ad0edca05ef944a832c540fee8ebc52c2f1bef90525a9bc398cde255f6b4f9f4e6ff63eee09ca9d42b82453192a845b0711c9
diff --git a/dev-python/narwhals/narwhals-1.41.1.ebuild b/dev-python/narwhals/narwhals-1.41.1.ebuild
deleted file mode 100644
index 8422b7e22466..000000000000
--- a/dev-python/narwhals/narwhals-1.41.1.ebuild
+++ /dev/null
@@ -1,36 +0,0 @@
-# Copyright 2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Extremely lightweight compatibility layer between dataframe libraries"
-HOMEPAGE="
- https://github.com/narwhals-dev/narwhals/
- https://pypi.org/project/narwhals/
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64"
-
-BDEPEND="
- test? (
- dev-python/hypothesis[${PYTHON_USEDEP}]
- dev-python/pandas[${PYTHON_USEDEP}]
- dev-python/pyarrow[${PYTHON_USEDEP}]
- dev-python/pytest-env[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_XDIST=1
-distutils_enable_tests pytest
-
-python_test() {
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- epytest --runslow --constructors="pandas,pandas[nullable],pandas[pyarrow],pyarrow"
-}
diff --git a/dev-python/narwhals/narwhals-1.42.0.ebuild b/dev-python/narwhals/narwhals-1.43.0.ebuild
index 32948bed9942..573156bed277 100644
--- a/dev-python/narwhals/narwhals-1.42.0.ebuild
+++ b/dev-python/narwhals/narwhals-1.43.0.ebuild
@@ -21,7 +21,7 @@ KEYWORDS="~amd64 ~arm64"
BDEPEND="
test? (
dev-python/hypothesis[${PYTHON_USEDEP}]
- dev-python/pandas[${PYTHON_USEDEP}]
+ >=dev-python/pandas-1.1.3[${PYTHON_USEDEP}]
dev-python/pyarrow[${PYTHON_USEDEP}]
dev-python/pytest-env[${PYTHON_USEDEP}]
)
diff --git a/dev-python/owslib/Manifest b/dev-python/owslib/Manifest
index 27b27487212e..4ff53c99d686 100644
--- a/dev-python/owslib/Manifest
+++ b/dev-python/owslib/Manifest
@@ -1,2 +1,3 @@
DIST OWSLib-0.33.0.gh.tar.gz 1073327 BLAKE2B dd0ea8dd04f2ee1cd2b972b8d0b0c5425d0c611f9dd32aeb3e9a4799ecc3f9b9132e280099b038769c47b35211cd2f192dd4ced304240ab48a3996643329bd7b SHA512 64833cf3b390e9db85bfd20ed5b77cf026a6e946f7b538e1227c7b8eb50809d6c9099693e52ea39bd3c7098bdfd8a519c7290751c9743ba5cdcae5733b22143f
DIST OWSLib-0.34.0.gh.tar.gz 1083004 BLAKE2B 3f3a76575119f1d4084b827b724a05e573ef362ecd7c332e68ee36ff5e7c8ced8302acfa6161e5ad4e076caccbbb613a200200f0969c32816b05bcf4484ac1cf SHA512 ea0789bbced18bdb603488ff3c7c1385246180ca1713f0751d885be7b6b4c4620b2c3a956a7dd0091ad47d8446f6a87e33512b4c333db1f3a9d405b12dc5b09e
+DIST OWSLib-0.34.1.gh.tar.gz 1083473 BLAKE2B 7ebcaf9bc68f827a0c51670ef84b0de63bf4ed1d34271b236c50b2f97e72c637cbd9e7f57ad1044f3a74968d461cd1f1e2d1b2bdd360279870da6891c248aff4 SHA512 4e5eb97170ae49f63122b89922b50e34adcb992e6ebd0a99c22ec7a90fefab0ff77d120a78883bb804d1df0f17de88b2204c82be01c93f173735a8dbe65dd33a
diff --git a/dev-python/owslib/owslib-0.34.1.ebuild b/dev-python/owslib/owslib-0.34.1.ebuild
new file mode 100644
index 000000000000..75a5e627d3a1
--- /dev/null
+++ b/dev-python/owslib/owslib-0.34.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+MY_P=OWSLib-${PV}
+DESCRIPTION="Library for client programming with Open Geospatial Consortium web service"
+HOMEPAGE="
+ https://geopython.github.io/OWSLib/
+ https://github.com/geopython/owslib/
+ https://pypi.org/project/OWSLib/
+"
+SRC_URI="
+ https://github.com/geopython/${PN}/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pytest-httpserver[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -o addopts= -m "not online"
+}
diff --git a/dev-python/pdm/Manifest b/dev-python/pdm/Manifest
index bb230912f301..b4f33c0e9159 100644
--- a/dev-python/pdm/Manifest
+++ b/dev-python/pdm/Manifest
@@ -1,2 +1,2 @@
-DIST pdm-2.25.0.tar.gz 2662202 BLAKE2B d42f3344904f87f83d6e24fb7a46d27a2981da7c68acc099cb5759f14f03f0191622dfe4c5abe5408340868d889dcdec632597019b858c99e9dfdf952dd29673 SHA512 6b57f7d3ce69fa6b7de1e6b93f7defecd181b6f445a2075999faa9a45be87f79a54bbcb03e415ec2c6448eb3abde411c2a1de0ca163e45a5accbac105d21415c
DIST pdm-2.25.1.tar.gz 2662443 BLAKE2B 8032152344c7369c0242a6b6854d94ea29617ca5ef07ea5bb4cbf98e05d7a03240944b367a78f5733a72590739b678fcd6a991cb014d2d43c1e723505255736e SHA512 dcd4c9a97053001b6a9760fcd5203da64e7c423d9f0273bca156057505ab7aaada35631cd4d90474854cf55e5a67c8ca48c1de75660a0067709ef61f1be1754d
+DIST pdm-2.25.2.tar.gz 2662555 BLAKE2B 1f0c6653aacc7acc281d0dddfc76a7c47db412bc9b74f69d6ea57a787a2f52f81d6b2d8a8db08c1653135dbb986441a3ffefa9b5fc7f3e33e13c65a5bcd79aee SHA512 e68a60779445fd8007ede2f59ea47318d4eb64a9f5ab3561f4e46ab94c209d87bc564103b4bd0bd4229e5c1a9d55340207d18d13ced94aa78d3d82a4facdaf04
diff --git a/dev-python/pdm/pdm-2.25.0.ebuild b/dev-python/pdm/pdm-2.25.2.ebuild
index 8e5f6e7bb25b..8e5f6e7bb25b 100644
--- a/dev-python/pdm/pdm-2.25.0.ebuild
+++ b/dev-python/pdm/pdm-2.25.2.ebuild
diff --git a/dev-python/pymongo/Manifest b/dev-python/pymongo/Manifest
index d8560e62f6db..7e539cf7fae2 100644
--- a/dev-python/pymongo/Manifest
+++ b/dev-python/pymongo/Manifest
@@ -3,3 +3,4 @@ DIST mongo-python-driver-4.12.0.gh.tar.gz 2221078 BLAKE2B 6e8dafe59276d435aa547b
DIST mongo-python-driver-4.12.1.gh.tar.gz 2225240 BLAKE2B 253f99faf6507a0a1285120c6b4e73a7866552091b35b3502c390e6d3e2bbe62f0fcdd5c9a2368dd5d6f74c16ab90ef39be1a1c6f9c2fef4420b66a6bad1c718 SHA512 cf7a1ea99a99f82d4434b25d6d2678734700ebd17cca9d4e1ad704e70fe10ae31b49e377930ce8781ec40b2898443d59d8eb0e302793424ab2b06b8b76df07cf
DIST mongo-python-driver-4.13.0.gh.tar.gz 2225613 BLAKE2B e5532776e494b75a0beadb5bb20d087e3002f58c8e0214fe968aad907e90a8bd53a9dc7124dace600f9e673d1c4ce867672e3ebe3f59438923a3693d5dbf15ff SHA512 bb4a5f96614c16503eff8c9dd67cf8a8700ce05078417cb847ac136d1ebb36edc591bd8dda3c4bf8ba4f25adb6d30e15a3e2870ef6180859b912cdc089d7f97a
DIST mongo-python-driver-4.13.1.gh.tar.gz 2225917 BLAKE2B 2c02e608f54c68abebb69cd61f16c79c8388301e6ebe77a73959ba3dbe086c878b3afd1523f6943ddfca228e1115cbaade49c29c2e5bb620feab9214dcbfba11 SHA512 8baf5548d5772fa62fef2a4ac2fa7dc83bcf7fda178410e9bf675679ea77976f72548a0794ced6856ea538d02403a3c522a66cbf2e37f506b4546489a689ce92
+DIST mongo-python-driver-4.13.2.gh.tar.gz 2227437 BLAKE2B 3aa6d0feedc6a33eb4e9299d85eeab2a9638bf713cfadf9f4018f6bd668758d3afd5b9b4b71dec037fb3f99e89cc34e299e1d9b4521c8ace9da9ce50ae95142b SHA512 845cf92e702a9970f2ef1b5085fffcca96021e0f2fc5133e24b2860482dafabe7770d9421922659d0c6008aac1d5a70834ee4f1728a648fd83e6d33bc33568b0
diff --git a/dev-python/pymongo/pymongo-4.13.2.ebuild b/dev-python/pymongo/pymongo-4.13.2.ebuild
new file mode 100644
index 000000000000..ad20c8e0295b
--- /dev/null
+++ b/dev-python/pymongo/pymongo-4.13.2.ebuild
@@ -0,0 +1,202 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit check-reqs distutils-r1
+
+MY_P=mongo-python-driver-${PV}
+DESCRIPTION="Python driver for MongoDB"
+HOMEPAGE="
+ https://github.com/mongodb/mongo-python-driver/
+ https://pypi.org/project/pymongo/
+"
+SRC_URI="
+ https://github.com/mongodb/mongo-python-driver/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="doc kerberos +native-extensions +test-full"
+
+RDEPEND="
+ <dev-python/dnspython-3.0.0[${PYTHON_USEDEP}]
+ kerberos? ( dev-python/kerberos[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ test-full? (
+ >=dev-db/mongodb-2.6.0
+ )
+ )
+"
+
+distutils_enable_sphinx doc
+distutils_enable_tests pytest
+
+reqcheck() {
+ if use test && use test-full; then
+ # During the tests, database size reaches 1.5G.
+ local CHECKREQS_DISK_BUILD=1536M
+
+ check-reqs_${1}
+ fi
+}
+
+pkg_pretend() {
+ reqcheck pkg_pretend
+}
+
+pkg_setup() {
+ reqcheck pkg_setup
+}
+
+src_prepare() {
+ distutils-r1_src_prepare
+ # we do not want hatch-requirements-txt and its ton of NIH deps
+ sed -i -e '/requirements/d' pyproject.toml || die
+}
+
+python_compile() {
+ # causes build errors to be fatal
+ local -x TOX_ENV_NAME=whatever
+ local DISTUTILS_ARGS=()
+ # unconditionally implicitly disabled on pypy3
+ if ! use native-extensions; then
+ export NO_EXT=1
+ else
+ export PYMONGO_C_EXT_MUST_BUILD=1
+ unset NO_EXT
+ fi
+
+ distutils-r1_python_compile
+
+ # upstream forces setup.py build_ext -i in their setuptools hack
+ find -name '*.so' -delete || die
+}
+
+python_test() {
+ rm -rf bson pymongo || die
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local EPYTEST_DESELECT=(
+ # network-sandbox
+ test/asynchronous/test_async_loop_unblocked.py::TestClientLoopUnblocked::test_client_does_not_block_loop
+ test/asynchronous/test_client.py::AsyncClientUnitTest::test_connection_timeout_ms_propagates_to_DNS_resolver
+ test/asynchronous/test_client.py::AsyncClientUnitTest::test_detected_environment_logging
+ test/asynchronous/test_client.py::AsyncClientUnitTest::test_detected_environment_warning
+ test/asynchronous/test_client.py::TestClient::test_service_name_from_kwargs
+ test/asynchronous/test_client.py::TestClient::test_srv_max_hosts_kwarg
+ test/test_client.py::ClientUnitTest::test_connection_timeout_ms_propagates_to_DNS_resolver
+ test/test_client.py::ClientUnitTest::test_detected_environment_logging
+ test/test_client.py::ClientUnitTest::test_detected_environment_warning
+ test/test_client.py::TestClient::test_service_name_from_kwargs
+ test/test_client.py::TestClient::test_srv_max_hosts_kwarg
+ test/test_dns.py::TestCaseInsensitive::test_connect_case_insensitive
+ test/asynchronous/test_dns.py::IsolatedAsyncioTestCaseInsensitive::test_connect_case_insensitive
+ test/test_srv_polling.py
+ test/asynchronous/test_srv_polling.py
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_custom_srvServiceName
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_invalid_type_for_srvMaxHosts
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_negative_integer_for_srvMaxHosts
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_positive_srvMaxHosts_and_loadBalanced=fa
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_srvMaxHosts
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_srvMaxHosts=0_and_loadBalanced=true
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_srvMaxHosts=0_and_replicaSet
+
+ # broken regularly by changes in mypy
+ test/test_typing.py::TestMypyFails::test_mypy_failures
+
+ # fragile to timing? fails because we're getting too many logs
+ test/test_connection_logging.py::TestConnectionLoggingConnectionPoolOptions::test_maxConnecting_should_be_included_in_connection_pool_created_message_when_specified
+
+ # hangs?
+ test/asynchronous/test_grid_file.py::AsyncTestGridFile::test_small_chunks
+
+ # broken async tests?
+ test/asynchronous/test_encryption.py
+
+ # -Werror
+ test/test_read_preferences.py::TestMongosAndReadPreference::test_read_preference_hedge_deprecated
+ test/asynchronous/test_read_preferences.py::TestMongosAndReadPreference::test_read_preference_hedge_deprecated
+
+ # fragile to timing? Internet?
+ test/test_client.py::TestClient::test_repr_srv_host
+ test/asynchronous/test_client.py::TestClient::test_repr_srv_host
+ test/asynchronous/test_ssl.py::TestSSL::test_pyopenssl_ignored_in_async
+ )
+
+ if ! use test-full; then
+ # .invalid is guaranteed to return NXDOMAIN per RFC 6761
+ local -x DB_IP=mongodb.invalid
+ epytest -p asyncio
+ return
+ fi
+
+ # Yes, we need TCP/IP for that...
+ local -x DB_IP=127.0.0.1
+ local -x DB_PORT=27000
+
+ local dbpath=${TMPDIR}/mongo.db
+ local logpath=${TMPDIR}/mongod.log
+
+ local failed=
+ mkdir -p "${dbpath}" || die
+ while true; do
+ ebegin "Trying to start mongod on port ${DB_PORT}"
+
+ # mongodb is extremely inefficient
+ # https://www.mongodb.com/docs/manual/reference/ulimit/#review-and-set-resource-limits
+ ulimit -n 64000 || die
+
+ local mongod_options=(
+ --dbpath "${dbpath}"
+ --bind_ip "${DB_IP}"
+ --port "${DB_PORT}"
+ --unixSocketPrefix "${TMPDIR}"
+ --logpath "${logpath}"
+ --fork
+
+ # try to reduce resource use
+ --wiredTigerCacheSizeGB 0.25
+ )
+
+ LC_ALL=C mongod "${mongod_options[@]}" && sleep 2
+
+ # Now we need to check if the server actually started...
+ if [[ ${?} -eq 0 && -S "${TMPDIR}"/mongodb-${DB_PORT}.sock ]]; then
+ # yay!
+ eend 0
+ break
+ elif grep -q 'Address already in use' "${logpath}"; then
+ # ay, someone took our port!
+ eend 1
+ : $(( DB_PORT += 1 ))
+ continue
+ else
+ eend 1
+ eerror "Unable to start mongod for tests. See the server log:"
+ eerror " ${logpath}"
+ die "Unable to start mongod for tests."
+ fi
+ done
+
+ nonfatal epytest -p asyncio -p rerunfailures --reruns=5 \
+ -m "default or default_async or encryption" || failed=1
+
+ mongod --dbpath "${dbpath}" --shutdown || die
+
+ [[ ${failed} ]] && die "Tests fail with ${EPYTHON}"
+
+ rm -rf "${dbpath}" || die
+}
diff --git a/dev-python/test2ref/Manifest b/dev-python/test2ref/Manifest
new file mode 100644
index 000000000000..9480e4acd9f0
--- /dev/null
+++ b/dev-python/test2ref/Manifest
@@ -0,0 +1 @@
+DIST test2ref-1.1.0.tar.gz 9667 BLAKE2B 1f3a9c13ff797081e58706707890143395ed68d6eabddbc1fe22fe552535e095be7c2c53357714466b8632e08725ff7de1e7fd6ecf3c9fea11244c183901c09e SHA512 d4d9f082ff51b3e6d8e763f7d8ef665cb1971314fc5e815ccbed84b8aaaab2dfd5057f149f2fedd34b3e74c8b84dd5d839c53fec8885b23a2bd05de286405a7e
diff --git a/dev-python/test2ref/metadata.xml b/dev-python/test2ref/metadata.xml
new file mode 100644
index 000000000000..ea8988e8af6a
--- /dev/null
+++ b/dev-python/test2ref/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+ <stabilize-allarches/>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/test2ref/test2ref-1.1.0.ebuild b/dev-python/test2ref/test2ref-1.1.0.ebuild
new file mode 100644
index 000000000000..6626b9c00223
--- /dev/null
+++ b/dev-python/test2ref/test2ref-1.1.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Testing Against Learned Reference Data"
+HOMEPAGE="
+ https://github.com/nbiotcloud/test2ref
+ https://pypi.org/project/test2ref/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="dev-python/binaryornot[${PYTHON_USEDEP}]"
+
+EPYTEST_DESELECT=(
+ # Whitespace differences
+ 'tests/test_main.py::test_caplog[False]'
+ 'tests/test_main.py::test_caplog[True]'
+)
+
+distutils_enable_tests pytest
+
+python_test() {
+ # addopts= to avoid pytest-cov
+ epytest -o addopts=
+}
diff --git a/dev-python/translate-toolkit/Manifest b/dev-python/translate-toolkit/Manifest
index 07b6e028a374..1eefa0d6e31d 100644
--- a/dev-python/translate-toolkit/Manifest
+++ b/dev-python/translate-toolkit/Manifest
@@ -1,2 +1,3 @@
DIST translate-3.15.2.gh.tar.gz 1170276 BLAKE2B 512bb038bec132a4bcf483736350b215da838fd2b1eafdf1c552697326b032dcce87fa9709e7a7437d4fccb1edbcb4d381dd064db25354368f147d1c0c936295 SHA512 1c791be1ae7f3256b8631add4e65c1c8ce5c9f6aa163e3c52630b8cf14aeab0afd9179a49308713870d953eeb5e918bfcd6299a1ac34fa086afca39f07342b0d
DIST translate-3.15.3.gh.tar.gz 1173514 BLAKE2B 5a8ab1408a969c2795b64e6d7dd9f33310600dc0c8013ec0ca71bf19ff21e52c0f66458fd81935f7c8f85c40b519a21957495e17ed38aa7133910d78e36643df SHA512 ded40733479e2cfae040f312e72475e7f7acefa39c113024bbcaee586b67c8dfc2c3ae1ebf8e66110a941850fd9a9664f005cc016492b058f27519c813d87080
+DIST translate-3.15.5.gh.tar.gz 1174304 BLAKE2B 682fe498a2f526d762ccc55a400d93fb8786ff1dc5bd5909c8de3a0cb96b656ab5bc1b2565914933e55210bdce6e167d797660de3ce385df4d43b751e0f343fa SHA512 8d76c7f4446e95eab0ce2618824f36ed3c2d172d239f9c4d8aa4236c5afb34beee2bb094eeff02f05721e67ff8c0d6390fed259b702ae79bb98d1c1f79e90150
diff --git a/dev-python/translate-toolkit/translate-toolkit-3.15.5.ebuild b/dev-python/translate-toolkit/translate-toolkit-3.15.5.ebuild
new file mode 100644
index 000000000000..bb4e573c692e
--- /dev/null
+++ b/dev-python/translate-toolkit/translate-toolkit-3.15.5.ebuild
@@ -0,0 +1,126 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+MY_P=translate-${PV}
+DESCRIPTION="Toolkit to convert between many translation formats"
+HOMEPAGE="
+ https://github.com/translate/translate/
+ https://pypi.org/project/translate-toolkit/
+"
+SRC_URI="
+ https://github.com/translate/translate/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+html +ical +ini +subtitles +yaml"
+
+RDEPEND="
+ app-text/iso-codes
+ >=dev-python/chardet-3.0.4[${PYTHON_USEDEP}]
+ dev-python/cheroot[${PYTHON_USEDEP}]
+ >=dev-python/levenshtein-0.12.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.3.1[${PYTHON_USEDEP}]
+ >=dev-python/mistletoe-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-3[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ >=dev-python/cwcwidth-0.1.9[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ html? ( dev-python/utidylib[${PYTHON_USEDEP}] )
+ ical? ( dev-python/vobject[${PYTHON_USEDEP}] )
+ ini? ( >=dev-python/iniparse-0.5[${PYTHON_USEDEP}] )
+ subtitles? ( media-video/gaupol[${PYTHON_USEDEP}] )
+ yaml? ( dev-python/pyyaml[${PYTHON_USEDEP}] )
+"
+# Technically, the test suite also has undeclared dependency
+# on dev-python/snapshottest but all the tests using it are broken
+# anyway, so we skip them.
+BDEPEND="
+ test? (
+ dev-python/phply[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # strip unnecessary pins
+ sed -i -e 's:,<[0-9.]*::' pyproject.toml || die
+}
+
+src_test() {
+ # unfortunately, this bad quality package doesn't support XDG_DATA_DIRS
+ # correctly, so we need to reassemble all data files in a single directory
+ local -x XDG_DATA_HOME=${T}/share
+ cp -r translate/share "${T}/" || die
+ cp -r "${ESYSROOT}"/usr/share/gaupol "${XDG_DATA_HOME}"/ || die
+
+ distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Fails with network-sandbox (and even with it off but w/ softer fail)
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_open_office_to_xliff'
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_po_to_xliff'
+ # all tests based on snapshottest are broken and I'm too tired
+ # to figure this out
+ tests/translate/tools/test_pocount.py::test_{cases,output}
+ tests/translate/tools/test_junitmsgfmt.py::test_output
+ )
+ local EPYTEST_IGNORE=(
+ # unpackaged fluent.*
+ tests/translate/storage/test_fluent.py
+ # changes directory and does not change it back, sigh
+ tests/odf_xliff/test_odf_xliff.py
+ )
+
+ if ! has_version "dev-python/iniparse[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ translate/convert/test_ini2po.py
+ translate/convert/test_po2ini.py
+ )
+ fi
+
+ if ! has_version "media-video/gaupol[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ translate/storage/test_subtitles.py
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ insinto /usr
+ doins -r translate/share
+
+ if ! use html; then
+ rm "${ED}"/usr/bin/{html2po,po2html} || die
+ fi
+ if ! use ical; then
+ rm "${ED}"/usr/bin/{ical2po,po2ical} || die
+ fi
+ if ! use ini; then
+ rm "${ED}"/usr/bin/{ini2po,po2ini} || die
+ fi
+ if ! use subtitles; then
+ rm "${ED}"/usr/bin/{sub2po,po2sub} || die
+ fi
+}
diff --git a/dev-python/zlib-ng/zlib-ng-0.5.1.ebuild b/dev-python/zlib-ng/zlib-ng-0.5.1.ebuild
index d4a089d9f075..11549c7ab87e 100644
--- a/dev-python/zlib-ng/zlib-ng-0.5.1.ebuild
+++ b/dev-python/zlib-ng/zlib-ng-0.5.1.ebuild
@@ -26,7 +26,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="PSF-2"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~riscv ~s390 ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~riscv ~s390 ~x86"
DEPEND="
sys-libs/zlib-ng:=